Create or update a registered custom entity
Create or update a registered custom entity.
Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entity_registry_id
Request
This endpoint expects an object.
name
registryId
schemaId
archiveRecord
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fields
Schema fields to set on the custom entity. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliases
Aliases to add to the custom entity
customFields
Custom fields to add to the custom entity. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder that the entity is moved into
Response
Updated
aliases
apiURL
The canonical url of the Custom Entity in the API.
archiveRecord
createdAt
creator
customFields
entityRegistryId
fields
folderId
id
modifiedAt
name
registrationOrigin
registryId
schema
url
The path of the web URL, omitting the tenant domain
webURL
Errors
400
Bad Request Error